0

I've a problem with my CentOS.

When I've tried to install alien (el7 package, because el8 isn't available), I got this error (My CentOS has Polish language)

[mlodybukk@localhost Pobrane]$ sudo yum install alien
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Ostatnio sprawdzono ważność metadanych: 0:01:14 temu w dniu nie, 5 lip 2020, 22:45:38.
Błąd: 
 Problem: conflicting requests
  - nothing provides perl(:MODULE_COMPAT_5.16.3) needed by alien-8.90-3.el7.nux.noarch

How can I repair this?

1
  • Polish is my native language. If i'll change language to English i won't understand some words :(
    – mlodybukk
    Jul 5, 2020 at 21:12

2 Answers 2

0

Try enabling the Perl dnf module:

dnf module enable perl:5.26

And try installing alien again.

5
  • It doesn't work. :(
    – mlodybukk
    Jul 6, 2020 at 18:54
  • Alien gave the same error like before :(
    – mlodybukk
    Jul 6, 2020 at 18:55
  • The version for CentOS 7 won’t install on CentOS 8. You need to rebuild the package or find someone willing to do it for you.
    – jsbillings
    Jul 6, 2020 at 19:19
  • Thank you, I've rebuilt that. Now it's working. You can write your comment as answer, I'll give you accepted answer. ;) Have a nice day!
    – mlodybukk
    Jul 6, 2020 at 19:50
  • @mlodybukk Hi! I'm faced with the same problem. Did you rebuild alien? can you please tell me how you rebult it? (centos 8)
    – Chan Kim
    Oct 7, 2020 at 8:20
0

I've enabled powertools and this fixed the issue on RockyLinux (Centos8)

dnf config-manager --set-enabled powertools

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .